Markets

Search events or markets

GET
/search

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

mode?string
Value in"instant""full"
q*string
Length1 <= length
type*string
Value in"events""markets"
categoryIds?array<string>|string
status?array<>|
limit?number
Range1 <= value <= 100
cursor?string

Response Body

200

application/json
  1. response
meta?
type*"events"
Value in"events"
data*array<unknown>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/search?q=string&type=events'
Example Response
{  "meta": {    "complete": true,    "degradedSignals": [      "string"    ]  },  "type": "events",  "data": [    null  ],  "nextCursor": "string",  "hasMore": true}